/*=============================================================
 * message.c -- Holds most LifeLines messages
 * Copyright(c) 1992-94 by T.T. Wetmore IV; all rights reserved
 *   2.3.4 - 24 Jun 93    2.3.5 - 13 Aug 93
 *   2.3.6 - 29 Oct 93    3.0.0 - 05 Oct 94
 *===========================================================*/

#include "standard.h"

STRING usage  = "usage: lines [-akmr] [<btree>]";
STRING iddbse = "You must identify a database.";
STRING idldir = "What directory holds the LifeLines database?";
STRING nodbse = "There is no LifeLines database in that directory.";
STRING crdbse = "Do you want to create a database there?";
STRING nocrdb = "Could not create the LifeLines database `%s'.";
STRING normls = "Cannot remove last person from family.";

STRING ronlya = "The database is read only; you may not add records.";
STRING ronlye = "The database is read only; you may not change records.";
STRING ronlym = "The database is read only; you may not merge records.";
STRING ronlyr = "The database is read only; you may not remove records.";

STRING idcrmv = "Please choose the child to remove from the family.";
STRING idsrmf = "From which family is the spouse/parent to be removed?";
STRING idsrmv = "Please choose the spouse or parent to remove from the family.";
STRING id1csw = "Identify the first child to swap.";
STRING id2csw = "Identify the second child to swap.";
STRING id1fsw = "Identify the first family/spouse to swap.";
STRING id2fsw = "Identify the second family/spouse to swap.";
STRING idsbrs = "Please choose the spouse or parent to browse to.";
STRING idcbrs = "Please choose the child to browse to.";
STRING idfbrs = "Please choose the family to browse to.";
STRING idcswp = "Identify a parent in the family having children swapped.";
STRING idfswp = "Whose families/spouses are to be swapped?";
STRING idprnt = "Identify one of the child's parents, if known.";

STRING chfamily = "Please choose a family.";
STRING notone = "Please choose from among these persons.";
STRING iscnew = "Is this the new child? ";
STRING issnew = "Is this the new spouse? ";
STRING ifone  = "Is this the person?  Select if so.";
STRING idcfam = "Select the child the new child precedes or select last.";
STRING idpnxt = "Please identify next person to browse to.";
STRING idspse = "Please identify one of the spouses.";
STRING idplst = "Please identify person or persons to browse to.";
STRING idfcop = "Please choose family create operation.";
STRING entnam = "Do you want to enter another name?";

STRING ntprnt = "This person is not a spouse or parent in any family.";
STRING ntchld = "This person is not a child in any family.";

STRING nofath = "This person's father is not in the database.";
STRING nomoth = "This person's mother is not in the database.";
STRING nospse = "This person has no spouse in the database.";
STRING noysib = "This person has no younger sibling in the database.";
STRING noosib = "This person has no older sibling in the database.";
STRING noprnt = "This person's parents are not in the database.";
STRING nohusb = "This family has no male spouse/parent in the database.";
STRING nowife = "This family has no female spouse/parent in the database.";
STRING nocinf = "There are no children in the database for this family.";
STRING nocofp = "This person has no children in the database.";

STRING nosex  = "New spouse/parent has unknown sex; can't add to family.";
STRING notopp = "The persons are not of opposite sex; can't make family.";
STRING ntsinf = "This person is not a spouse in the family; can't remove.";
STRING unksex = "This person's sex is not known; can't make family.";
STRING hashsb = "This family already has a husband/male parent.";
STRING haswif = "This family already has a wife/female parent.";
STRING hasbth = "This family has both spouses/parents; can't add another.";
STRING hasnei = "This family has neither spouse/parent; can't remove.";
STRING haslnk = "This family still has links; not removed.";
STRING unknam = "There is no one in the database with that name or key.";

STRING idfbys = "Choose a family by selecting a spouse/parent.";
STRING iredit = "Do you want to edit the person again?";
STRING fredit = "Do you want to edit the family again?";
STRING rredit = "Do you want to edit the source again?";
STRING eredit = "Do you want to edit the event again?";
STRING xredit = "Do you want to edit the record again?";
STRING idpedt = "Who do you want to edit?";
STRING idredt = "Which source record do you want to edit?";
STRING ideedt = "Which event record do you want to edit?";
STRING idxedt = "What record do you want to edit?";

STRING cfpadd = "Do you really want to add this person to the database?";
STRING cffadd = "Do you really want to add this family to the database?";
STRING cfcadd = "Do you really want to add this child to the family?";
STRING cfsadd = "Do you really want to add this spouse/parent to the family?";
STRING cfradd = "Do you really want to add this source to the database?";
STRING cfeadd = "Do you really want to add this event to the database?";
STRING cfxadd = "Do you really want to add this record to the database?";
STRING cfpupt = "Do you really want to update this person?";
STRING cffupt = "Do you really want to update this family?";
STRING cfrupt = "Do you really want to update this source?";
STRING cfeupt = "Do you really want to update this event?";
STRING cfxupt = "Do you really want to update this record?";
STRING cfpdel = "Are you sure you want to remove the person from the database?";
STRING cfpmrg = "Do you really want to merge these two persons?";
STRING cffmrg = "Do you really want to merge these two families?";
STRING cfcrmv = "Do you really want to remove this child from his/her family?";
STRING cfsrmv = "Do you really want to remove this spouse from his/her family?";

STRING badata = "There is something wrong with the data.";
STRING idchld = "Please identify the child.";
STRING idsbln = "Please identify one of the child's siblings.";
STRING idsadd = "Identify spouse/parent to add to an existing family.";
STRING idsinf = "Identify spouse/parent already in family, if known.";
STRING kchild = "Identify child already in family.";
STRING iscinf = "This person is already a child in a family.";
STRING idsps1 = "Identify a spouse/parent for the new family.";
STRING idsps2 = "Identify the second spouse/parent, if known.";
STRING twohsb = "Both families must have husbands/fathers.";
STRING twowif = "Both families must have wives/mothers.";

STRING ids2fm = "Identify spouse/parent in second family, if known.";
STRING idc2fm = "Identify child in second family.";
STRING idp2br = "Identify second person to browse to.";

STRING crtcfm = "Create a family with this person as a child.";
STRING crtsfm = "Create a family with this person as a spouse/parent.";
STRING less2c = "This family has less than two children; can't swap.";
STRING less2f = "This person is a spouse/parent in less than two families.";

STRING okcswp = "The two children were swapped.";
STRING okfswp = "The two families were swapped.";
STRING okcrmv = "The child was removed from his/her family.";
STRING oksrmv = "The spouse was removed from his/her family.";

STRING nopmrg = "A person cannot be merged with him/herself.";
STRING nofmrg = "A family cannot be merged with itself.";
STRING noqmrg = "Two persons with different parents cannot be merged.";
STRING noxmrg = "Two parents of different sexes cannot be merged.";
STRING dhusb  = "The families have different fathers/husbands; cannot merge.";
STRING dwife  = "The families have different wives/mothers; cannot merge.";
STRING idpdel = "Who do you want to remove from the database?";
STRING mklast = "Place the child last in the family.";
STRING abverr = "The abbreviations file contains errors.";
STRING uoperr = "The user options file contains errors.";
STRING cmperr = "The character mapping file contains errors.";
STRING aredit = "Do you want to re-edit it?";

STRING gdpadd = "%s was added to the database.";
STRING gdcadd = "%s was added as a child.";
STRING gdsadd = "%s was added as a spouse and/or parent.";
STRING gdfadd = "The new family was added to the database.";
STRING gdpmod = "%s was modifed in the database.";
STRING gdfmod = "The family was modifed in the database.";
STRING gdrmod = "The source was modifed in the database.";
STRING gdemod = "The event was modifed in the database.";
STRING gdxmod = "The record was modifed in the database.";

STRING empstr = "                                                ";
STRING empstr71 = "                                                                       ";
STRING nofopn = "Could not open file %s.";

STRING mrkper = "Please mark a person first.";

STRING lstnam = "The current list is now named %s.";
STRING lstnon = "The current list is not named.";
STRING lstwht = "What should the name of this list be?";
STRING lstnad = "No persons were added to the current list.";
STRING lstpad = "What persons or list do you want to add to the current list?";
STRING lstbot = "You are at the bottom of the list.";
STRING lsttop = "You are at the top of the list.";
STRING lstnew = "New persons were added to the current list.";

STRING idgedf = "Please enter the name of the GEDCOM file.";
STRING gdcker = "Checking GEDCOM file %s for errors.\n";
STRING gdnadd = "Because of errors the GEDCOM file was not loaded.\n";
